| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Updating all elements with zero
Vector Conversions » Broadcast

Broadcasts value zero (0) to all vector lanes. More...

## Functions
v32bfloat16 | broadcast_zero_bfloat16 ()
v16cint16 | broadcast_zero_c16 ()
v8cint32 | broadcast_zero_c32 ()
v32int16 | broadcast_zero_s16 ()
v16int32 | broadcast_zero_s32 ()
v64int8 | broadcast_zero_s8 ()
v16cbfloat16 | broadcast_zero_to_v16cbfloat16 ()
v16cint16 | broadcast_zero_to_v16cint16 ()
v16float | broadcast_zero_to_v16float ()
v16int32 | broadcast_zero_to_v16int32 ()
v16uint32 | broadcast_zero_to_v16uint32 ()
v32bfloat16 | broadcast_zero_to_v32bfloat16 ()
v32float16 | broadcast_zero_to_v32float16 ()
v32int16 | broadcast_zero_to_v32int16 ()
v32uint16 | broadcast_zero_to_v32uint16 ()
v64bfloat8 | broadcast_zero_to_v64bfloat8 ()
v64float8 | broadcast_zero_to_v64float8 ()
v64int8 | broadcast_zero_to_v64int8 ()
v64uint8 | broadcast_zero_to_v64uint8 ()
v8cfloat | broadcast_zero_to_v8cfloat ()
v8cint32 | broadcast_zero_to_v8cint32 ()
v32uint16 | broadcast_zero_u16 ()
v16uint32 | broadcast_zero_u32 ()
v64uint8 | broadcast_zero_u8 ()

## Accumulator vector addition/subtraction intrinsics for datatype v64acc32
v64acc32 | clr_v64acc32 ()
| Returns an accumulator vector with all lanes zeroed.
v64acc32 | broadcast_zero_to_v64acc32 ()
| Returns an accumulator vector with all lanes zeroed.

## Accumulator vector addition/subtraction intrinsics for datatype v32acc64
v32acc64 | clr_v32acc64 ()
| Returns an accumulator vector with all lanes zeroed.
v32acc64 | broadcast_zero_to_v32acc64 ()
| Returns an accumulator vector with all lanes zeroed.

## Accumulator vector addition/subtraction intrinsics for datatype v16cacc64
v16cacc64 | clr_v16cacc64 ()
| Returns an accumulator vector with all lanes zeroed.
v16cacc64 | broadcast_zero_to_v16cacc64 ()
| Returns an accumulator vector with all lanes zeroed.

## Accumulator vector addition/subtraction intrinsics for datatype v64accfloat
v64accfloat | clr_v64accfloat ()
| Returns an accumulator vector with all lanes zeroed.
v64accfloat | broadcast_zero_to_v64accfloat ()
| Returns an accumulator vector with all lanes zeroed.

## Accumulator vector addition/subtraction intrinsics for datatype v32accfloat
v32accfloat | clr_v32accfloat ()
| Returns an accumulator vector with all lanes zeroed.
v32accfloat | broadcast_zero_to_v32accfloat ()
| Returns an accumulator vector with all lanes zeroed.

## Accumulator vector addition/subtraction intrinsics for datatype v16accfloat
v16accfloat | clr_v16accfloat ()
| Returns an accumulator vector with all lanes zeroed.
v16accfloat | broadcast_zero_to_v16accfloat ()
| Returns an accumulator vector with all lanes zeroed.

## Accumulator vector addition/subtraction intrinsics for datatype v32acc32
v32acc32 | clr_v32acc32 ()
| Returns an accumulator vector with all lanes zeroed.
v32acc32 | broadcast_zero_to_v32acc32 ()
| Returns an accumulator vector with all lanes zeroed.

## Accumulator vector addition/subtraction intrinsics for datatype v16acc64
v16acc64 | clr_v16acc64 ()
| Returns an accumulator vector with all lanes zeroed.
v16acc64 | broadcast_zero_to_v16acc64 ()
| Returns an accumulator vector with all lanes zeroed.

## Accumulator vector addition/subtraction intrinsics for datatype v8cacc64
v8cacc64 | clr_v8cacc64 ()
| Returns an accumulator vector with all lanes zeroed.
v8cacc64 | broadcast_zero_to_v8cacc64 ()
| Returns an accumulator vector with all lanes zeroed.

## Detailed Description

Broadcasts value zero (0) to all vector lanes.

## Function Documentation

## ◆ broadcast_zero_bfloat16()

v32bfloat16 broadcast_zero_bfloat16 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v32bfloat16' variant instead.

## ◆ broadcast_zero_c16()

v16cint16 broadcast_zero_c16 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v16cint16' variant instead.

## ◆ broadcast_zero_c32()

v8cint32 broadcast_zero_c32 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v8cint32' variant instead.

## ◆ broadcast_zero_s16()

v32int16 broadcast_zero_s16 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v32int16' variant instead.

## ◆ broadcast_zero_s32()

v16int32 broadcast_zero_s32 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v16int32' variant instead.

## ◆ broadcast_zero_s8()

v64int8 broadcast_zero_s8 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v64int8' variant instead.

## ◆ broadcast_zero_to_v16acc64()

v16acc64 broadcast_zero_to_v16acc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v16accfloat()

v16accfloat broadcast_zero_to_v16accfloat | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v16cacc64()

v16cacc64 broadcast_zero_to_v16cacc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v16cbfloat16()

v16cbfloat16 broadcast_zero_to_v16cbfloat16 | ( |  | ) |

## ◆ broadcast_zero_to_v16cint16()

v16cint16 broadcast_zero_to_v16cint16 | ( |  | ) |

## ◆ broadcast_zero_to_v16float()

v16float broadcast_zero_to_v16float | ( |  | ) |

## ◆ broadcast_zero_to_v16int32()

v16int32 broadcast_zero_to_v16int32 | ( |  | ) |

## ◆ broadcast_zero_to_v16uint32()

v16uint32 broadcast_zero_to_v16uint32 | ( |  | ) |

## ◆ broadcast_zero_to_v32acc32()

v32acc32 broadcast_zero_to_v32acc32 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v32acc64()

v32acc64 broadcast_zero_to_v32acc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v32accfloat()

v32accfloat broadcast_zero_to_v32accfloat | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v32bfloat16()

v32bfloat16 broadcast_zero_to_v32bfloat16 | ( |  | ) |

## ◆ broadcast_zero_to_v32float16()

v32float16 broadcast_zero_to_v32float16 | ( |  | ) |

## ◆ broadcast_zero_to_v32int16()

v32int16 broadcast_zero_to_v32int16 | ( |  | ) |

## ◆ broadcast_zero_to_v32uint16()

v32uint16 broadcast_zero_to_v32uint16 | ( |  | ) |

## ◆ broadcast_zero_to_v64acc32()

v64acc32 broadcast_zero_to_v64acc32 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v64accfloat()

v64accfloat broadcast_zero_to_v64accfloat | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v64bfloat8()

v64bfloat8 broadcast_zero_to_v64bfloat8 | ( |  | ) |

## ◆ broadcast_zero_to_v64float8()

v64float8 broadcast_zero_to_v64float8 | ( |  | ) |

## ◆ broadcast_zero_to_v64int8()

v64int8 broadcast_zero_to_v64int8 | ( |  | ) |

## ◆ broadcast_zero_to_v64uint8()

v64uint8 broadcast_zero_to_v64uint8 | ( |  | ) |

## ◆ broadcast_zero_to_v8cacc64()

v8cacc64 broadcast_zero_to_v8cacc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

## ◆ broadcast_zero_to_v8cfloat()

v8cfloat broadcast_zero_to_v8cfloat | ( |  | ) |

## ◆ broadcast_zero_to_v8cint32()

v8cint32 broadcast_zero_to_v8cint32 | ( |  | ) |

## ◆ broadcast_zero_u16()

v32uint16 broadcast_zero_u16 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v32uint16' variant instead.

## ◆ broadcast_zero_u32()

v16uint32 broadcast_zero_u32 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v16uint32' variant instead.

## ◆ broadcast_zero_u8()

v64uint8 broadcast_zero_u8 | ( |  | ) |

Deprecated
  Please use the 'broadcast_zero_to_v64uint8' variant instead.

## ◆ clr_v16acc64()

v16acc64 clr_v16acc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.

## ◆ clr_v16accfloat()

v16accfloat clr_v16accfloat | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.

## ◆ clr_v16cacc64()

v16cacc64 clr_v16cacc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.

## ◆ clr_v32acc32()

v32acc32 clr_v32acc32 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.

## ◆ clr_v32acc64()

v32acc64 clr_v32acc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.

## ◆ clr_v32accfloat()

v32accfloat clr_v32accfloat | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.

## ◆ clr_v64acc32()

v64acc32 clr_v64acc32 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.

## ◆ clr_v64accfloat()

v64accfloat clr_v64accfloat | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.

## ◆ clr_v8cacc64()

v8cacc64 clr_v8cacc64 | ( |  | ) |

Returns an accumulator vector with all lanes zeroed.

Returns
  Zeroed accumulator

Deprecated
  Please use the 'broadcast_zero_to_<accumulator>()' variant instead.